package com.cool.bang.common.constant.enums;

/**
 * 合同付款方式
 *
 * @author PeiZhi Guo
 * 2022-10-19 10:39
 */
public enum PayWay {

    /**
     * 其他
     */
    OTHER,

    /**
     * 一次性付款
     */
    ONE,

    /**
     * 商业贷款
     */
    TWO,

    /**
     * 公积金贷款
     */
    THREE,

    /**
     * 组合贷款
     */
    FOUR;
}
