package com.cool.bang.common.constant.enums;

/**
 * 用户类型
 *
 * @author PeiZhi Guo
 * 2022-8-22 11:04
 */
public enum UserType {

    DEFAULT,

    /**
     * 监管部门
     */
    SYSTEM_USER,

    /**
     * 经济机构
     */
    ORG_USER,

    /**
     * 监管银行
     */
    BANK_USER,

    /**
     * 托管机构
     */
    TRUSTEESHIP_ORG;
}
