package com.cool.bang.modules.approval.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.approval.domain.po.ApprovalFlow;

/**
 * 审批流程
 *
 * @author PeiZhi Guo
 * 2022-8-1 16:50
 */
public interface IApprovalFlowService extends BaseIService<ApprovalFlow> {

    /**
     * 根据流程类型查询流程
     *
     */
    ApprovalFlow queryByFlowType(Integer type);


    /**
     * 禁用|启用：禁用|启用
     *
     * Param state
     * Param flowType
     * Return boolean
     */
    boolean updateState(Integer state, Long id);
}
