package com.cool.bang.modules.business.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.business.domain.LpbCommunity;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
* 小区门店信息
*
* @author Sy
* 2024-10-22 09:08
*/
@Repository
public interface LpbCommunityMapper extends BaseMapper<LpbCommunity> {


    /**
     * 查询楼幢树
     *
     * Param parentId {小区、项目}
     * Return List<Map<String, Object>>
     */
    List<Map<String, Object>> selectBuildingTree(@Param("id") Integer id);
}


