package com.cool.bang.modules.business.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.business.domain.LpbCommunity;

import java.util.List;
import java.util.Map;

/**
* 小区门店信息
*
* @author Sy
* 2024-10-22 09:08
*/
public interface ILpbCommunityService extends BaseIService<LpbCommunity> {


    /**
     * 楼幢树查询
     *
     * Param parentId (小区、项目主键)
     * Return List<Map<String, Object>>
     */
    List<Map<String, Object>> selectBuildingTree(Integer id);
}
