package com.cool.bang.modules.business.service.impl;

import com.cool.bang.common.base.BaseServiceImpl;
import org.springframework.stereotype.Service;
import com.cool.bang.modules.business.mapper.LpbCommunityMapper;
import com.cool.bang.modules.business.domain.LpbCommunity;
import com.cool.bang.modules.business.service.ILpbCommunityService;

import java.util.List;
import java.util.Map;

/**
* 小区门店信息
*
* @author Sy
* 2024-10-22 09:08
*/
@Service
public class LpbCommunityServiceImpl extends BaseServiceImpl<LpbCommunityMapper, LpbCommunity> implements ILpbCommunityService {

    @Override
    public List<Map<String, Object>> selectBuildingTree(Integer id) {
        return baseMapper.selectBuildingTree(id);
    }
}
