package com.cool.bang.modules.system.mapper;

import com.cool.bang.common.base.BaseMapper;
import com.cool.bang.modules.system.domain.po.Resource;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 文件
 *
 * @author PeiZhi Guo
 * 2022-09-08 15:12
 */
@Repository
public interface ResourceMapper extends BaseMapper<Resource> {


    /**
     * 主键查询一条记录
     *
     * Param id
     * Return T
     */
    List<Resource> selectByTableId(Long id,Integer wjlx);

    /**
     * 根据主键删除记录
     *
     * Param id
     * Return T
     */
    int deleteTableId(Long id,Integer type);
}


