package com.cool.bang.modules.upload.service;

import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.security.NoSuchAlgorithmException;

/**
 * file upload service interface
 *
 * @author PeiZhi Guo
 * @since 2021-04-17
 */
public interface IUploadService {

    /**
     * 文件上传
     *
     * Param file
     * Param path
     * Return String
     */
    String upload(MultipartFile file, String path) throws IOException, NoSuchAlgorithmException;

}
