package com.cool.bang.common.constant;

/**
 * 文件中心
 *
 * @author PeiZhi Guo
 * 2023-3-7 10:23
 */
public class FileConstant {

    /**
     * 外网路径
     */
    public static String OUT_URL = "https://zhfc.shouguang.gov.cn/wjzx/";

    /**
     * 内网路径
     */
    public static String IN_URL = "http://172.16.1.143:8089/wjzx/";

    /**
     * 文件上传路径（单个文件）
     */
    public static String UPLOAD_ONE = "fileStoreApi/uploadOne";

    /**
     * 文件上传路径（多个文件）
     */
    public static  String UPLOAD_MORE = "fileStoreApi/uploadMore";

    /**
     * 文件上传路径（base64）
     */
    public static  String UPLOAD_BASE64 = "fileStoreApi/uploadBase64File";

    /**
     * 文件上传路径（base64）
     */
    public static  String UPLOAD_UPDATE_BASE64 = "fileStoreApi/updateBase64FileById";

    /**
     * 文件查看
     */
    public static  String FILE_VIEW = "fileStoreApi/view";

    /**
     * 文件下载
     */
    public static  String FILE_DOWN = "fileStoreApi/down";

    /**
     * base64文件接口
     */
    public static  String FILE_BASE64 = "fileStoreApi/getBase64File";

    /**
     * 文件详情
     */
    public static  String FILE_DETAIL = "fileStoreApi/getFileDetail";

    /**
     * 文件删除
     */
    public static  String FILE_DELETE = "fileStoreApi/delete";
}
