package com.cool.bang.common.constant.enums;

/**
 * Operation Enum (操作枚举)
 *
 * @author PeiZhi Guo
 * 2021-04-23 16:20
 */
public enum OperationType {

    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENERATION_CODE,

    /**
     * 清空数据
     */
    CLEAN,
}
