package com.cool.bang.common.web.response;


import lombok.Data;

/**
 * 前端 dtree 结果封装数据
 *
 * @author GuoPeiZhi
 * 2021-2-1 15:06
 */
@Data
public class RestTree {

    /**
     * 状态信息
     * */
    private Status status = new Status();

    /**
     * 返回数据
     * */
    private Object data;

    /**
     * 所需内部类
     * */
    @Data
    public class Status{

        private Integer code = 200;

        private String message = "默认";
    }
}
