package com.cool.bang.common.web.response.module;

import java.io.Serializable;
import java.util.List;

/**
 * Result Select (前端下拉树封装)
 *
 * @author PeiZhi Guo
 * 2021-2-18 15:54
 */
public class ResultSelect implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 数据值字段名称
     */
    private String v;

    /**
     * 数据标题字段名称
     */
    private String n;

    /**
     * 子集数据字段名称
     */
    private List<ResultSelect> s;

    public ResultSelect() {
    }

    public ResultSelect(String v, String n) {
        this.v = v;
        this.n = n;
    }

    public List<ResultSelect> getS() {
        return s;
    }

    public void setN(String n) {
        this.n = n;
    }

    public String getN() {
        return n;
    }

    public void setS(List<ResultSelect> s) {
        this.s = s;
    }

    public String getV() {
        return v;
    }

    public void setV(String v) {
        this.v = v;
    }
}
