package com.cool.bang.modules.business.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.common.web.request.PageDomain;
import com.cool.bang.modules.business.domain.JobCustomer;
import com.cool.bang.modules.business.domain.LpbHouse;
import com.github.pagehelper.PageInfo;

import java.util.List;

/**
* 客源
*
* @author Sy
* 2024-10-21 18:05
*/
public interface IJobCustomerService extends BaseIService<JobCustomer> {

    /**
     * 通过主键查询下所有收藏
     */
    PageInfo<LpbHouse> queryByLpbHouse(PageDomain page, Integer customerId);

    /**
     * 通过主键查询下所有收藏
     */
    PageInfo<JobCustomer> queryByConsultList(PageDomain page, Integer customerId);

    /**
     * 通过openid查询用户
     */
    JobCustomer queryByOpenid(String openid);

    /**
     * 通过手机号查询用户
     */
    JobCustomer queryByPhone(String phone);
}
