package com.cool.bang.modules.generate.service.impl;

import com.cool.bang.common.base.BaseServiceImpl;
import com.cool.bang.modules.generate.domain.po.TableColumnInfo;
import com.cool.bang.modules.generate.mapper.TableColumnInfoMapper;
import com.cool.bang.modules.generate.service.ITableColumnInfoService;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Database table column info service implementation class
 *
 * @author PeiZhi Guo
 * 2021-4-13 11:06
 */
@Service
public class TableColumnInfoServiceImpl extends BaseServiceImpl<TableColumnInfoMapper, TableColumnInfo> implements ITableColumnInfoService {

    @Override
    public List<TableColumnInfo> queryByTableId(Long tableId) {
        return baseMapper.selectByTableId(tableId);
    }
}
