package com.cool.bang.modules.system.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.system.domain.po.Dict;

import java.util.List;

/**
 * system dictionary service interface
 *
 * @author PeiZhi Guo
 * 2021-05-13 14:26
 */
public interface IDictService extends BaseIService<Dict> {

    /**
     * 删除单条数据 (根据主键)
     *
     * Param id
     * Return boolean
     */
    boolean delete(Long id);

    /**
     * 查询全部启用的字典项
     *
     * Return List<Dict>
     */
    List<Dict> selectList();
}
